summaryrefslogtreecommitdiff
path: root/ext/readline
diff options
context:
space:
mode:
authornaruse <naruse@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2010-09-15 15:40:15 +0000
committernaruse <naruse@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2010-09-15 15:40:15 +0000
commit2fe39b886457633a89f0eda10aacb3419f2504fa (patch)
treee34bdc5a67fac9869e335dd3bbd23db457225211 /ext/readline
parent1c96fb43719d1fa59cda2c2e822cbe71dae54b52 (diff)
* ext/readline/extconf.rb: Remove Readline 6 check because
Ruby's license is now GPLv3 compatible. [ruby-core:28736] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29264 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext/readline')
-rw-r--r--ext/readline/extconf.rb5
1 files changed, 0 insertions, 5 deletions
diff --git a/ext/readline/extconf.rb b/ext/readline/extconf.rb
index 42bcb51..efce643 100644
--- a/ext/readline/extconf.rb
+++ b/ext/readline/extconf.rb
@@ -24,11 +24,6 @@ dir_config('ncurses')
dir_config('termcap')
dir_config("readline")
enable_libedit = enable_config("libedit")
-$readline_extra_check = (proc {|src| src << <<EOS} unless enable_config("readline-v6"))
-#if RL_VERSION_MAJOR >= 6
-#error GPLv2 incompatible
-#endif
-EOS
have_library("user32", nil) if /cygwin/ === RUBY_PLATFORM
have_library("ncurses", "tgetnum") ||